Antworten auf häufig gestellte Fragen

Sie haben Fragen? Wir helfen Ihnen sehr gern weiter.

Skriptsprache PHP

Wie wechsle ich die PHP-Version?

Im Auslieferungszustand läuft auf dem Webspace PHP 7.1. Sie haben die Möglichkeit zwischen verschiedenen PHP Versionen umzuschalten.

Klicken Sie hierzu in Ihrem Kundencenter auf den Punkt "Meine Verträge" und wählen Sie den betreffenden Vertrag aus, indem Sie auf den Namen des Vertrages klicken. Nun klicken Sie auf den Reiter "Experten-Einstellungen" und  anschließend auf den Punkt "Server-Einstellungen". Dort haben Sie die Möglichkeit, die PHP-Version zu ändern, sowie andere Einstellungen Ihren Bedürfnissen anzupassen.

Beachten Sie bitte, dass es ca. 10 Minuten dauert, bevor getätigte Einstellungen wirksam werden!

Sie können aber auch für einzelne Verzeichnisse auf dem Webspace eine bestimmte Version aktivieren. Hierzu muss im entsprechenden Verzeichnis eine .htaccess-Datei mit folgendem Inhalt erstellt werden:

PHP 7.1

AddHandler x-httpd-php7.1 .php

PHP 7.1 mit OPcache

AddHandler x-httpd-opcache-php7.1 .php

PHP 7.0

AddHandler x-httpd-php70 .php

PHP 7.0 mit OPcache

AddHandler x-httpd-opcache-php7.0 .php

PHP 5.6

AddHandler x-httpd-php56 .php

Es werden jeweils die aktuell verfügbaren Stable Releases zur Verfügung gestellt. Mit dem PHP Befehl phpinfo() können Sie die aktiv eingestellte Version und Konfiguration prüfen. Weitere Informationen zum Thema PHP erhalten Sie unter http://php.net.

Folgende veralteten PHP Versionen stehen auschließlich in älteren Tarifen noch zur Verfügung:

PHP 5.5

AddHandler x-httpd-php55 .php

PHP 5.4

AddHandler x-httpd-php54 .php

PHP 5.3

AddHandler x-httpd-php53 .php

PHP 5.2

AddHandler x-httpd-php5 .php

Diese Versionen werden nicht mehr mit Sicherheitsupdates versorgt, und haben bereits das "End of Lifetime" erreicht. Daher raten wir vom Einsatz dieser Versionen ab, und werden sie mittelfristig deaktivieren.

Aktualisiert: Donnerstag, 28. September 2017 15:02